aim4.vehicle

## Interface HumanDrivenVehicleDriverView

- All Superinterfaces:
    VehicleDriverView
  All Known Subinterfaces:
    HumanDrivenVehicleSimView

      public interface HumanDrivenVehicleDriverView
      extends VehicleDriverView

  The interface of a manually-driven vehicle from the viewpoint of a driver.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DoubleGauge` | `getIntervalometer()` Get this Vehicle's interval-to-vehicle-in-front gauge.
    `LightState` | `getLightState()` Get the state of the traffic light of the current lane at the upcoming intersection.
    `void` | `setLightState(LightState s)` Set the state of the traffic light of the current lane at the upcoming intersection.

    - ### Methods inherited from interface aim4.vehicle.VehicleDriverView

      `coast, gaugeHeading, gaugePointAtMiddleFront, gaugePointAtRear, gaugePointBetweenFrontWheels, gaugePosition, gaugeRearLeftCornerPoint, gaugeRearRightCornerPoint, gaugeShape, gaugeTime, gaugeVelocity, getAccelSchedule, getDriver, getSpec, getVIN, printState, removeAccelSchedule, setAccelSchedule, setAccelWithMaxTargetVelocity, setTargetVelocityWithMaxAccel, slowToStop, turnTowardPoint`

- - ### Method Detail

    - #### getLightState

          LightState getLightState()

      Get the state of the traffic light of the current lane at the upcoming intersection. Return null if there is no upcoming intersection.

    - #### setLightState

          void setLightState(LightState s)

      Set the state of the traffic light of the current lane at the upcoming intersection.
      Parameters:
        `s` - the state of the traffic light. null if there is no upcoming intersection

    - #### getIntervalometer

          DoubleGauge getIntervalometer()

      Get this Vehicle's interval-to-vehicle-in-front gauge. This should only be followed by a call to `read`, except in the actual physical simulator which is allowed to set these values.
      Returns:
        the Vehicle's interval-to-vehicle-in-front gauge

Copyright © 2013. All rights reserved.